Subject: Re: [PATCH] ARM: dts: imx6qdl-sr-som-ti: indicate powering off wifi is safe

From: Russell King - ARM Linux admin <[email-masked]>
Date: Thu, 27 Feb 2020 15:17:39 +0000

On Thu, Feb 27, 2020 at 01:45:39PM +0000, Russell King - ARM Linux admin wrote:
> On Thu, Feb 27, 2020 at 09:57:40AM -0300, Fabio Estevam wrote:
> > Hi Russell,
> > 
> > On Thu, Feb 27, 2020 at 9:19 AM Russell King <[email-masked]> wrote:
> > >
> > > We need to indicate that powering off the TI WiFi is safe, to avoid:
> > >
> > > wl18xx_driver wl18xx.2.auto: Unbalanced pm_runtime_enable!
> > > wl1271_sdio mmc0:0001:2: wl12xx_sdio_power_on: failed to get_sync(-13)
> > >
> > > which prevents the WiFi being functional.
> > >
> > > Signed-off-by: Russell King <[email-masked]>
> > 
> > Shouldn't this have a Fixes tag so that it can be backported to stable kernels?
> 
> If I knew where the breakage happened and what commit was responsible
> for it, then yes - but it used to work with earlier kernels (I don't
> know which) and at some point it broke.
> 
> The suggestion for how to fix it came from Jon Nettleton.

Jon says:

"It was changes to the mmc power handling.  Basically telling the
controller that the card should be able to wake it up from a sleep
state.

"I think it has to do with the runtime PM addition.  This was added
to the TI driver in commit, 9b71578de08748defb3bcae3ce8ed1a75cb6a8d7
I don't know if that is what broke it, but that was the initial
integration.

"That was added after changes to the MMC layer were done I believe."

Jon thinks the idea for fixing it came from a post on one of the
mailing lists, but is unable to find it now.

So, I think the cause is now lost in the mists of time.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTC broadband for 0.8mile line in suburbia: sync at 12.1Mbps down 622kbps up
According to speedtest.net: 11.9Mbps down 500kbps up

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel